Am 27.01.2011 18:14, schrieb Hassan Schroeder:
> How can I tell from within a running program which interpreter is being
> used -- i.e. MRI, REE, etc.?
> 
> RUBY_VERSION only returns a number, .e.g. "1.8.7".
> 
> TIA,

The RUBY_ENGINE constant should define this, but I'm not sure wheather
it's already in 1.8.

Vale,
Marvin